Page MenuHomePhabricator

PLURAL support for MobileFrontend licensing messages
Closed, ResolvedPublic

Description

It says "... under the $1 license". $1 for Wikipedia is "CC BY-SA 3.0 and GFDL" (two licenses), for Wikinews it's "CC BY 2.5" (one license). So word "license" should have PLURAL support.

Related messages:

  • Mobile-frontend-editor-licensing
  • Mobile-frontend-editor-licensing-with-terms

Event Timeline

Pikne created this task.Mar 18 2015, 12:09 PM
Pikne updated the task description. (Show Details)
Pikne raised the priority of this task from to Normal.
Pikne added a project: Readers-Web-Backlog.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 18 2015, 12:09 PM
Pikne updated the task description. (Show Details)Mar 18 2015, 12:15 PM
Pikne set Security to None.
Florian claimed this task.Mar 18 2015, 5:35 PM
Florian added a subscriber: Florian.

Change 197693 had a related patch set uploaded (by Florianschmidtwelzow):
Fix problems with license message

https://gerrit.wikimedia.org/r/197693

moving to in review, as it is currently in sprint.

Change 197693 merged by jenkins-bot:
Fix problems with license message

https://gerrit.wikimedia.org/r/197693

phuedx closed this task as Resolved.
phuedx added a subscriber: phuedx.
Yurik added a subscriber: Yurik.Apr 22 2015, 11:28 PM

Sigh, production broke because ZeroBanner was using getLicenseLink() function. Please check out all in-prod extensions just to be sure. One of these days we should have unit tests for everything... ((

Pikne added a subscriber: Pikne.Aug 15 2015, 7:20 PM

So, if I try editing here, then after clicking "Next" I still see "license" not "licenses" even though there are two licenses. I see that the message itself has been adjusted to using PLURAL, but it doesn't seem to work.

phuedx reopened this task as Open.Aug 17 2015, 11:58 AM

Reopening per @Pikne's comment above.

Taking a look... :/

My fault, the link can be adjusted by extensions, and WikimediaMessages does this, but the check for multiple licenses uses the "local" wgRightsText variable, which still only mentions one license. Patch is on the way. Thanks for reporting @Pikne!

Change 232029 had a related patch set uploaded (by Florianschmidtwelzow):
Use correct isPlural detection rule and correct rights link variable

https://gerrit.wikimedia.org/r/232029

Pikne added a comment.Aug 17 2015, 2:27 PM

Thanks for looking into it. Another tiny problem which I note: the word "and" between two licenses isn't translated when using interface language other than English.

That's a problem in WikimediaMessages, not MobileFrontend, adding WMFMessages as project.

WikimediaMessages always uses the site language to generate the messages, instead of the user language (if available):
https://github.com/wikimedia/mediawiki-extensions-WikimediaMessages/blob/master/WikimediaMessages.hooks.php#L123-L134

Looking into it.

Change 232064 had a related patch set uploaded (by Florianschmidtwelzow):
Allow to set the language used to get the license message

https://gerrit.wikimedia.org/r/232064

Change 232065 had a related patch set uploaded (by Florianschmidtwelzow):
Use a localised license message in MobileFrontend

https://gerrit.wikimedia.org/r/232065

Jdlrobson changed the task status from Open to Stalled.Sep 23 2015, 7:31 PM
Jdlrobson added a subscriber: Jdlrobson.

Change 232064 abandoned by Florianschmidtwelzow:
Allow to set the language used to get the license message

https://gerrit.wikimedia.org/r/232064

Change 232065 abandoned by Florianschmidtwelzow:
Use a localised license message in MobileFrontend

https://gerrit.wikimedia.org/r/232065

Florian removed Florian as the assignee of this task.Oct 22 2015, 4:57 PM
Florian removed a project: Patch-For-Review.

Change 232029 merged by jenkins-bot:
Use correct isPlural detection rule and correct rights link variable

https://gerrit.wikimedia.org/r/232029

Jdlrobson closed this task as Resolved.Dec 18 2015, 8:31 PM
Jdlrobson claimed this task.
Florian claimed this task.Dec 18 2015, 9:37 PM